Bug 633393 - (LibvirtQEMUTrace) RFE: Interface for controlling qemu static tracing
RFE: Interface for controlling qemu static tracing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.1
x86_64 All
medium Severity medium
: beta
: 6.1
Assigned To: Daniel Berrange
Virtualization Bugs
: FutureFeature
Depends On: 632722 737763
Blocks: 538808 580566 644849
  Show dependency treegraph
 
Reported: 2010-09-13 13:24 EDT by IBM Bug Proxy
Modified: 2011-09-12 23:28 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-02 10:27:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 67240 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-13 13:24:54 EDT
1. Feature Overview:
Feature Id: [67240]
a. Name of Feature: [6.1 FEAT] provide libvirt interface around qemu static tracing
b. Feature Description
libvirt interface around qemu static tracing infrastructure


2. Feature Details:
Sponsor: LTC Open Virtualization
Architectures:  x86_64, 

Arch Specificity: purely common code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Direct from Community
Category: other
Request Type: Package - Update Version
d. Upstream Acceptance: Field does not exist
Sponsor Priority P3
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
providing a qemu-level tracing solution allows for better/quicker debug and problem
diagnosis/resolution resulting in lower management costs.  Customers require a libvirt interface to
interact with qemu features to isolate them from implementation details.

4. Primary contact at Red Hat:
John Jarvis jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
PRERNA SAXENA, saxena.prerna@in.ibm.com
Comment 3 IBM Bug Proxy 2010-10-04 12:27:08 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 11:14 EDT-------
Code Upstream Status: Not Started
Comment 5 IBM Bug Proxy 2010-11-15 17:02:49 EST
------- Comment From mcintire@us.ibm.com 2010-11-15 16:46 EDT-------
Deferring this feature to a later release.
Comment 8 Daniel Berrange 2011-02-02 10:27:45 EST
Closing NOTABUG on the basis that the SystemTAP driver now included for QEMU does not actually require any API support to be present in libvirt.
Comment 9 IBM Bug Proxy 2011-03-04 10:31:31 EST
------- Comment From mcintire@us.ibm.com 2011-03-04 10:30 EDT-------
IBM is quiting this feature.  The function is already in RHEL 6.1.

Note You need to log in before you can comment on or make changes to this bug.